Admin A P I
Get node configuration
Returns the raw Wings configuration payload for a node, including daemon authentication tokens.
GET
/api/admin/nodes/{node_id}/configurationAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
node_id*integer
The node ID.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/admin/nodes/1/configuration"{ "debug": false, "uuid": "1b19cf3f-2f89-4f88-a81e-321e7fe326bc", "token_id": "abcd1234", "token": "secret", "api": { "host": "0.0.0.0", "port": 8080, "ssl": { "enabled": true, "cert": "/etc/letsencrypt/live/node.example.com/fullchain.pem", "key": "/etc/letsencrypt/live/node.example.com/privkey.pem" }, "upload_limit": 100 }, "system": { "data": "/var/lib/pterodactyl/volumes", "sftp": { "bind_port": 2022 } }, "allowed_mounts": [ "/mnt/shared" ], "remote": "https://panel.example.com"}